Port-xen archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Flaky NetBSD/i386 AMI for Amazon EC2

On 11/06/2012 09:11, Benny Siegert wrote:

I am trying to set up a NetBSD/i386 VM under EC2 using the
"NetBSD-i386-6.0-20121015-1027 (ami-59b4931c)" AMI in the us-west-1
zone. When I create such a machine, it consistently fails to come up
after creation, meaning that I cannot connect to it, and the "Show
system log" menu item gives an empty output.

Stopping the machine and starting it later _sometimes_ fixes the
problem. The 64-bit image works fine. (And yes, I do need a 32-bit
_and_ a 64-bit VM.)

Has anybody else had this problem? Who maintains the NetBSD AMIs?


The problem is that Amazon is VERY inconsistent about what version of hypervisor it gives you.

I would be willing to bet that when it doesn't work, you have a 3.1 (or possibly even older) hypervisor. Their "newer" hypervisors are 3.4, and seem to work just fine. Unfortunately, there is no way to request a newer one that I'm aware of.

There is not a whole lot I can do about it. I'm the one building those AMIs.


Home | Main Index | Thread Index | Old Index